Bug 1816583 - gnutls-serv --echo exits when a message to be echoed is received
Summary: gnutls-serv --echo exits when a message to be echoed is received
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anderson Sasaki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-24 10:21 UTC by Anderson Sasaki
Modified: 2020-03-31 02:58 UTC (History)
6 users (show)

Fixed In Version: gnutls-3.6.12-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 02:58:31 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gitlab gnutls gnutls issues 959 0 None None None 2020-03-24 10:30:53 UTC

Description Anderson Sasaki 2020-03-24 10:21:05 UTC
Description of problem:
gnutls-serv --echo exits when a message to be echoed is received.

Version-Release number of selected component (if applicable):
gnutls-3.6.12-1.fc32 

How reproducible:
100%

Steps to Reproduce:

1. Generate server private key and certificate

2. Run the server with ``--echo`` option. For example:

 $ gnutls-serv --echo --x509certfile=cert.pem --x509keyfile=key.pem -p 4433

3. Connect using a client and send a message to be echoed. For example, run:

 $ gnutls-cli --insecure localhost:4433

 Type the message to be echoed.

Actual results:

Server closes connection and outputs:
```
Memory error
```

Expected results:
Server sends a copy of the received message to the client without closing the connection.

Additional info:

Comment 1 Anderson Sasaki 2020-03-24 14:56:48 UTC
Upstream fix:
https://gitlab.com/gnutls/gnutls/-/merge_requests/1222

Comment 2 Fedora Update System 2020-03-27 14:08:41 UTC
FEDORA-2020-894490a3f6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-894490a3f6

Comment 3 Fedora Update System 2020-03-28 02:43:02 UTC
FEDORA-2020-894490a3f6 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-894490a3f6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-894490a3f6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-03-31 02:58:31 UTC
FEDORA-2020-894490a3f6 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.